package com.lyms.talkonlineweb.annotation;


import java.lang.annotation.*;

/**
 * @author  lqy
 * 表单重复提交注解
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Resubmit {
    /**
     * 延时时间 在延时多久后可以再次提交
     *
     * @return Time unit is one second
     */
    int delaySeconds() default 6;
}
