package com.lyms.talkonlineweb.constants;

public class ErrorCodeConstants {
    // 成功
    public static final int SUCCESS = 0;
    public static final String SUCCESS_DESCRIPTION = "成功";

    // 发送验证码失败
    public static final int VERIFY_CODE_FAIL = 4001;

    // token过期
    public static final int TOKEN_EXPIRE = 4002;

    // 用户不存在
    public static final int USER_NOT_EXISTS = 4003;

    // 密码错误
    public static final int USER_PASSWORD_ERROR = 4004;

    // 用户关联的医院不存在
    public static final int USER_CONSTAN_HOSPITAL_NOT_EXISTS = 4005;

    // 医院信息不存在
    public static final int HOSPITAL_NOT_EXISTS = 4006;

    // 科室信息不存在
    public static final int DEPT_NOT_EXISTS = 4006;

    // 手机号码过期
    public static final int PHONE_EXPIRE = 4007;

    // 参数错误
    public static final int PARAMETER_ERROR = 4097;

    // 产检劵已使用
    public static final int TICKET_USED = 40971;

    // 系统异常
    public static final int SYSTEM_ERROR = 4099;
    public static final String SYSTEM_ERROR_DESCRIPTION = "系统异常";

    public static final int BUSINESS_ERROR = 4098;

    //验证码已过期
    public static final int VER_CODE_EXPIRE=4008;

    //名称已存在
    public static final int NAME_EXIST=4100;


    //数据已存在
    public static final int DATA_EXIST=4200;

    //没有数据
    public static final int NO_DATA=4210;
    //不能删除
    public static final int DONT_DELETE=4201;
    //
    public static final int BUSINESS_ERROR1 = 4018;

    //没有权限
    public static final int NO_POWER = 4021;
    //区域模式运行
    public static final String RUN_MODE="1";

    //数据已过期
    public static final int DATA_EXPIRE = 4108;
}
