package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 小程序用户端-根据医院id获取医生信息视图
 * @TableName appGetDoctorList_info
 */
@TableName(value ="appGetDoctorList_info")
@Data
public class AppgetdoctorlistInfo implements Serializable {
    /**
     * 医生id
     */
    @TableField(value = "did")
    private Integer did;
    /**
     * 医生账号
     */
    @TableField(value = "dlogin")
    private String dlogin;

    /**
     * 医院id
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 医生头像
     */
    @TableField(value = "headimg")
    private String headimg;

    /**
     * 医生名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 医生科室
     */
    @TableField(value = "dpname")
    private String dpname;

    /**
     * 医生职称
     */
    @TableField(value = "lvlname")
    private String lvlname;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 医生简介
     */
    @TableField(value = "intro")
    private String intro;

    /**
     * 性别
     */
    @TableField(value = "sex")
    private Integer sex;
    /**
     * 搜索内容
     */
    @TableField(exist = false)
    private String searchinfo;
    /**
     * 搜索内容
     */
    @TableField(value = "createdtime")
    private String createdtime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}