package com.lyms.talkonlineweb.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *首页-转化率-按医院分时段筛选统计图
 * @TableName logsRecord_Visits_info
 */
@Data
@TableName(value ="logsRecord_Visits_info")
public class LogsRecordVisitsInfo implements Serializable {

  /**
   * 筛选时间
   */
  @TableField(value = "ldate")
  private String ldate;
  /**
   * 医院ID
   */
  @TableField(value = "hid")
  private long hid;
  /**
   * 医院名称
   */
  @TableField(value = "hname")
  private String hname;
  /**
   * 访问量
   */
  @TableField(value = "visits")
  private long visits;
  /**
   * 问诊量
   */
  @TableField(value = "dcount")
  private long dcount;
  /**
   * 转化率
   */
  @TableField(exist = false)
  private long conversion;



}
