package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.domain
 * @ClassName: LymsAttention
 * @Author: lqy
 * @Description: 关注表
 * @Date: 2021-09-10 16:08
 * @Version:
 */
@TableName(value ="lyms_attention")
@Data
@ToString
public class LymsAttention implements Serializable {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 问诊医生
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime",fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdtime;

}
