package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName lyms_logs
 */
@TableName(value ="lyms_logs")
@Data
public class LymsLogs implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 
     */
    @TableField(value = "cls")
    private String cls;

    /**
     * 
     */
    @TableField(value = "func")
    private String func;

    /**
     * 
     */
    @TableField(value = "lvl")
    private String lvl;

    /**
     * 
     */
    @TableField(value = "logger")
    private String logger;

    /**
     * 
     */
    @TableField(value = "message")
    private String message;

    /**
     * 
     */
    @TableField(value = "log_date")
    private Date logDate;

    @TableField(value = "pid")
    private Integer pid;

    @TableField(value = "hid")
    private Integer hid;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        LymsLogs other = (LymsLogs) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCls() == null ? other.getCls() == null : this.getCls().equals(other.getCls()))
            && (this.getFunc() == null ? other.getFunc() == null : this.getFunc().equals(other.getFunc()))
            && (this.getLvl() == null ? other.getLvl() == null : this.getLvl().equals(other.getLvl()))
            && (this.getLogger() == null ? other.getLogger() == null : this.getLogger().equals(other.getLogger()))
            && (this.getMessage() == null ? other.getMessage() == null : this.getMessage().equals(other.getMessage()))
            && (this.getLogDate() == null ? other.getLogDate() == null : this.getLogDate().equals(other.getLogDate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCls() == null) ? 0 : getCls().hashCode());
        result = prime * result + ((getFunc() == null) ? 0 : getFunc().hashCode());
        result = prime * result + ((getLvl() == null) ? 0 : getLvl().hashCode());
        result = prime * result + ((getLogger() == null) ? 0 : getLogger().hashCode());
        result = prime * result + ((getMessage() == null) ? 0 : getMessage().hashCode());
        result = prime * result + ((getLogDate() == null) ? 0 : getLogDate().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", cls=").append(cls);
        sb.append(", func=").append(func);
        sb.append(", lvl=").append(lvl);
        sb.append(", logger=").append(logger);
        sb.append(", message=").append(message);
        sb.append(", logDate=").append(logDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}