package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName pushedartLogs_info
 */
@TableName(value ="pushedartLogs_info")
@Data
public class PushedartlogsInfo implements Serializable {
    /**
     * 文章标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 文章内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 推送时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 疾病种类
     */
    @TableField(value = "illness")
    private String illness;

    /**
     * 患者名称
     */
    @TableField(value = "pname")
    private String pname;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}