package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName register_patient_info
 */
@TableName(value ="register_patient_info")
@Data
public class RegisterPatientInfo implements Serializable {
    /**
     * 
     */
    @TableField(value = "id")
    private Integer id;

    /**
     * 
     */
    @TableField(value = "pname")
    private String pname;

    /**
     * 
     */
    @TableField(value = "idno")
    private String idno;

    /**
     * 
     */
    @TableField(value = "ppasswd")
    private String ppasswd;

    /**
     * 
     */
    @TableField(value = "sex")
    private Integer sex;

    /**
     * 
     */
    @TableField(value = "birth")
    private String birth;

    /**
     * 
     */
    @TableField(value = "headimg")
    private String headimg;

    /**
     * 
     */
    @TableField(value = "ccnt")
    private Integer ccnt;

    /**
     * 
     */
    @TableField(value = "islogin")
    private Byte islogin;

    /**
     * 
     */
    @TableField(value = "openid")
    private String openid;

    /**
     * 
     */
    @TableField(value = "gzopenid")
    private String gzopenid;

    /**
     * 
     */
    @TableField(value = "hxid")
    private String hxid;

    /**
     * 
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 
     */
    @TableField(value = "updatedby")
    private String updatedby;

    /**
     * 
     */
    @TableField(value = "updatedtime")
    private Date updatedtime;

    /**
     * 
     */
    @TableField(value = "enrolment_phone")
    private String enrolmentPhone;

    /**
     * 综合查询（姓名/电话/身份证）
     */
    @TableField(exist = false)
    private String synthesisQuery;

    /**
     * 筛选开始时间
     */
    @TableField(exist = false)
    private String startCreatedtime;
    /**
     * 筛选结束时间
     */
    @TableField(exist = false)
    private String endCreatedtime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        RegisterPatientInfo other = (RegisterPatientInfo) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPname() == null ? other.getPname() == null : this.getPname().equals(other.getPname()))
            && (this.getIdno() == null ? other.getIdno() == null : this.getIdno().equals(other.getIdno()))
            && (this.getPpasswd() == null ? other.getPpasswd() == null : this.getPpasswd().equals(other.getPpasswd()))
            && (this.getSex() == null ? other.getSex() == null : this.getSex().equals(other.getSex()))
            && (this.getBirth() == null ? other.getBirth() == null : this.getBirth().equals(other.getBirth()))
            && (this.getHeadimg() == null ? other.getHeadimg() == null : this.getHeadimg().equals(other.getHeadimg()))
            && (this.getCcnt() == null ? other.getCcnt() == null : this.getCcnt().equals(other.getCcnt()))
            && (this.getIslogin() == null ? other.getIslogin() == null : this.getIslogin().equals(other.getIslogin()))
            && (this.getOpenid() == null ? other.getOpenid() == null : this.getOpenid().equals(other.getOpenid()))
            && (this.getGzopenid() == null ? other.getGzopenid() == null : this.getGzopenid().equals(other.getGzopenid()))
            && (this.getHxid() == null ? other.getHxid() == null : this.getHxid().equals(other.getHxid()))
            && (this.getCreatedby() == null ? other.getCreatedby() == null : this.getCreatedby().equals(other.getCreatedby()))
            && (this.getCreatedtime() == null ? other.getCreatedtime() == null : this.getCreatedtime().equals(other.getCreatedtime()))
            && (this.getUpdatedby() == null ? other.getUpdatedby() == null : this.getUpdatedby().equals(other.getUpdatedby()))
            && (this.getUpdatedtime() == null ? other.getUpdatedtime() == null : this.getUpdatedtime().equals(other.getUpdatedtime()))
            && (this.getEnrolmentPhone() == null ? other.getEnrolmentPhone() == null : this.getEnrolmentPhone().equals(other.getEnrolmentPhone()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPname() == null) ? 0 : getPname().hashCode());
        result = prime * result + ((getIdno() == null) ? 0 : getIdno().hashCode());
        result = prime * result + ((getPpasswd() == null) ? 0 : getPpasswd().hashCode());
        result = prime * result + ((getSex() == null) ? 0 : getSex().hashCode());
        result = prime * result + ((getBirth() == null) ? 0 : getBirth().hashCode());
        result = prime * result + ((getHeadimg() == null) ? 0 : getHeadimg().hashCode());
        result = prime * result + ((getCcnt() == null) ? 0 : getCcnt().hashCode());
        result = prime * result + ((getIslogin() == null) ? 0 : getIslogin().hashCode());
        result = prime * result + ((getOpenid() == null) ? 0 : getOpenid().hashCode());
        result = prime * result + ((getGzopenid() == null) ? 0 : getGzopenid().hashCode());
        result = prime * result + ((getHxid() == null) ? 0 : getHxid().hashCode());
        result = prime * result + ((getCreatedby() == null) ? 0 : getCreatedby().hashCode());
        result = prime * result + ((getCreatedtime() == null) ? 0 : getCreatedtime().hashCode());
        result = prime * result + ((getUpdatedby() == null) ? 0 : getUpdatedby().hashCode());
        result = prime * result + ((getUpdatedtime() == null) ? 0 : getUpdatedtime().hashCode());
        result = prime * result + ((getEnrolmentPhone() == null) ? 0 : getEnrolmentPhone().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", pname=").append(pname);
        sb.append(", idno=").append(idno);
        sb.append(", ppasswd=").append(ppasswd);
        sb.append(", sex=").append(sex);
        sb.append(", birth=").append(birth);
        sb.append(", headimg=").append(headimg);
        sb.append(", ccnt=").append(ccnt);
        sb.append(", islogin=").append(islogin);
        sb.append(", openid=").append(openid);
        sb.append(", gzopenid=").append(gzopenid);
        sb.append(", hxid=").append(hxid);
        sb.append(", createdby=").append(createdby);
        sb.append(", createdtime=").append(createdtime);
        sb.append(", updatedby=").append(updatedby);
        sb.append(", updatedtime=").append(updatedtime);
        sb.append(", enrolmentPhone=").append(enrolmentPhone);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}