package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 
 * @TableName tkrecord_info
 */
@TableName(value ="tkrecord_info")
@Data
public class TkrecordInfo implements Serializable {
    /**
     * 医生id
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 本月接诊数量
     */
    @TableField(value = "themonth")
    private Long themonth;

    /**
     * 上月接诊数量
     */
    @TableField(value = "lastmonth")
    private Long lastmonth;

    /**
     * 总接诊数量
     */
    @TableField(value = "alltotal")
    private Long alltotal;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TkrecordInfo other = (TkrecordInfo) that;
        return (this.getDid() == null ? other.getDid() == null : this.getDid().equals(other.getDid()))
            && (this.getThemonth() == null ? other.getThemonth() == null : this.getThemonth().equals(other.getThemonth()))
            && (this.getLastmonth() == null ? other.getLastmonth() == null : this.getLastmonth().equals(other.getLastmonth()))
            && (this.getAlltotal() == null ? other.getAlltotal() == null : this.getAlltotal().equals(other.getAlltotal()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getDid() == null) ? 0 : getDid().hashCode());
        result = prime * result + ((getThemonth() == null) ? 0 : getThemonth().hashCode());
        result = prime * result + ((getLastmonth() == null) ? 0 : getLastmonth().hashCode());
        result = prime * result + ((getAlltotal() == null) ? 0 : getAlltotal().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", did=").append(did);
        sb.append(", themonth=").append(themonth);
        sb.append(", lastmonth=").append(lastmonth);
        sb.append(", alltotal=").append(alltotal);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}