package com.lyms.talkonlineweb.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.lyms.talkonlineweb.domain.LymsPatientAttention;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsPatientAttention
 */
@Mapper
public interface LymsPatientAttentionMapper extends BaseMapper<LymsPatientAttention> {

    @Select({
            "<script>",
                "SELECT "+
                    "p.id,p.pname,p.idno,p.sex,p.birth,p.createdtime " +
                "FROM "+
                    "lyms_patient p "+
                    "INNER JOIN lyms_patient_attention pa ON p.id = pa.attention_id "+
                "<where>${ew.sqlSegment}</where> "+
            "</script>"
    })
    List<Map> getPatientList(@Param("ew") QueryWrapper<LymsPatientAttention> ew);
}




