package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsPermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsPermission
 */
public interface LymsPermissionMapper extends BaseMapper<LymsPermission> {

    @Select("SELECT * FROM lyms_permission p,lyms_rolepermiss rp WHERE rp.`pid`=p.`id`  AND rp.`rid`=#{rid} AND p.`pid`=#{pid}")
    List<LymsPermission> sltPermissByRole(@Param("rid") int rid, @Param("pid") int pid);
    @Select("SELECT * FROM lyms_permission p,lyms_rolepermiss rp WHERE rp.`pid`=p.`id`  AND rp.`rid`=#{rid} ")
    List<LymsPermission> sltPermissByRole2(@Param("rid") int rid);
}




