package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsTcard;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsTcard
 */
public interface LymsTcardMapper extends BaseMapper<LymsTcard> {

    @Select("SELECT IFNULL(a.ccnt,0) ccnt,IFNULL(b.cnt,0) cnt FROM (SELECT SUM(ccnt) ccnt FROM lyms_patient ${pSql}  ) a,(SELECT SUM(cnt) cnt  FROM lyms_tcard ${cSql} ) b")
    Map<String, Object> cardStat(@Param("pSql") String pSql,@Param("cSql") String cSql);

    List<LymsTcard> queryUnused(LymsTcard lymsTcard);

    Integer queryUnusedCount(LymsTcard lymsTcard);
}




