package com.lyms.talkonlineweb.result;

import com.baomidou.mybatisplus.annotation.TableField;
import com.lyms.talkonlineweb.domain.LymsPcase;
import lombok.Data;

import java.io.Serializable;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.result
 * @ClassName: PatientPcaseResult
 * @Author: lqy
 * @Description: 小程序患者就诊病历返回对象
 * @Date: 2021-09-08 14:55
 * @Version:
 */
@Data
public class PatientPcaseResult {
    //患者id
    private int pid;
    //医院名称
    private String hname;
    //医院id
    private String hid;
    //科室名称
    private String departName;
    //医生名称
    private String doctorName;
    //医生id；
    private int dtid;
    //医生环信id
    private String dhxid;
    //医生环信登陆账号dlogin
    private String dlogin;
    //医生职位
    private String doctorLvl;
    //患者姓名
    private String patientName;
    //患者环信id
    private String phxid;
    //身份证号码
    private String cardNo;
    //疾病名称
    private String iname;
    //就诊时间
    private String createdby;
    //问诊卡数量
    private Integer ccnt;
    //病例id
    private Integer pcid;



}
