package com.lyms.talkonlineweb.result;

import lombok.Data;

import java.util.Date;

@Data
public class PushIllnessTypeDataResult {
    /**
     * 患者id
     */
    private Integer id;
    /**
     * 患者手机号/患者小程序登录账号
     */
    private String phone;
    /**
     * 患者小程序登录密码
     */
    private String passwd;
    /**
     * 患者公众号id
     */
    private String gzopenid;
    /**
     * 患者姓名
     */
    private String pname;
    /**
     * 患者病例id
     */
    private Integer pcid;
    /**
     * 就诊医院
     */
    private String hname;
    /**
     * 就诊科室
     */
    private String dname;
    /**
     * 就诊医生
     */
    private String dtname;
    /**
     * 患者疾病id
     */
    private Integer code;
    /**
     * 患者疾病名称
     */
    private String value;
    /**
     * 患者疾病分类 1普通疾病，2慢性病
     */
    private Integer illnessType;
    /**
     * 已推送的患者疾病 1普通疾病，2慢性病
     */
    private Integer pushIllness;
    /**
     * 已推送的 次数
     * 疾病分类推送数据：慢性疾病 确诊后30天推送一次（1），间隔90天进行第二次推送（2）。普通疾病：确诊15天后 推送（1）。
     */
    private Integer pushCount;
    /**
     * 已推送的结果
     * 推送状态：0待推送。1：成功，2 失败',
     */
    private Integer pushType;
    /**
     * 病例创建时间（用于 推送周期）
     */
    private Date createdtime;
    /**
     * 推送记录id(用于更新推送记录)
     */
    private Integer mid;
}
