package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsNutrition;
import com.lyms.talkonlineweb.service.LymsNutritionService;
import com.lyms.talkonlineweb.mapper.LymsNutritionMapper;
import org.springframework.stereotype.Service;

/**
* @author ldd
* @description 针对表【lyms_nutrition(营养管理)】的数据库操作Service实现
* @createDate 2023-04-02 16:30:32
*/
@Service
public class LymsNutritionServiceImpl extends ServiceImpl<LymsNutritionMapper, LymsNutrition>
    implements LymsNutritionService{

    @Override
    public String upNutritionInfo(LymsNutrition lymsNutrition) {
        //查询是否存在
        LymsNutrition lymsNutrition1 = new LymsNutrition();
        lymsNutrition1.setInfo(lymsNutrition.getIdno());
        LymsNutrition nutrition = getOne(Wrappers.query(lymsNutrition1));
        if (nutrition != null){
            updateById(lymsNutrition);
        } else {
            save(lymsNutrition);
        }
        return null;
    }
}




