package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsPermission;
import com.lyms.talkonlineweb.domain.LymsRole;
import com.lyms.talkonlineweb.service.LymsRoleService;
import com.lyms.talkonlineweb.mapper.LymsRoleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 */
@Service
public class LymsRoleServiceImpl extends ServiceImpl<LymsRoleMapper, LymsRole>
    implements LymsRoleService{

    @Autowired
    private LymsRoleMapper lymsRoleMapper;

    @Override
    public List<LymsRole> getRolesByUid(int uid) {
        return lymsRoleMapper.sltRoleByUser(uid);
    }

    @Override
    public int addRoleByPerms(int rid, int pid) {
        return lymsRoleMapper.addRoleByPerms(rid,pid);
    }

    @Override
    public int delPersByRole(int rid) {
        return lymsRoleMapper.delPersByRole(rid);
    }

    @Override
    public List<LymsPermission> getPersByRid(int rid) {
        return lymsRoleMapper.getPersByRid(rid);
    }
}




