package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsTcard;
import com.lyms.talkonlineweb.service.LymsTcardService;
import com.lyms.talkonlineweb.mapper.LymsTcardMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsTcardServiceImpl extends ServiceImpl<LymsTcardMapper, LymsTcard>
    implements LymsTcardService{
    @Resource
    private LymsTcardMapper lymsTcardMapper;

   @Override
    public Map<String, Object> cardStat(String pSql, String cSql) {
        return lymsTcardMapper.cardStat(pSql,cSql);
    }

    @Override
    public List<LymsTcard> queryUnused(LymsTcard lymsTcard) {
        return lymsTcardMapper.queryUnused(lymsTcard);
    }

    @Override
    public Integer queryUnusedCount(LymsTcard lymsTcard) {
        return lymsTcardMapper.queryUnusedCount(lymsTcard);
    }
}




