package com.lyms.talkonlineweb.controller;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.lyms.talkonlineweb.annotation.TokenRequired;
import com.lyms.talkonlineweb.domain.LymsGroupOrder;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.lyms.talkonlineweb.domain.LymsPcase;
import com.lyms.talkonlineweb.domain.LymsTcard;
import com.lyms.talkonlineweb.service.LymsGroupOrderService;
import com.lyms.talkonlineweb.service.LymsPatientService;
import com.lyms.talkonlineweb.service.LymsPcaseService;
import com.lyms.talkonlineweb.service.LymsTcardService;
import com.lyms.talkonlineweb.task.*;
import com.lyms.talkonlineweb.util.Constant;
import com.lyms.talkonlineweb.util.HXService;
import com.lyms.talkonlineweb.util.StringUtil;
import lombok.extern.java.Log;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.lang.reflect.Array;
import java.util.*;

@RestController
@Log
public class TestController {
    @Autowired
    public PushArticleTask pushArticleTask;
    @Autowired
    public PushArticleTaskData pushArticleTaskData;
    @Autowired
    public GetPatientInfoTask getPatientInfoTask;
    @Autowired
    private LymsPcaseService lymsPcaseService;//病例
    @Autowired
    private PushIllnessTypeData pushIllnessTypeData;
    @Autowired
    private PushIllnessTypeTask pushIllnessTypeTask;
    @Autowired
    private LymsGroupOrderService lymsGroupOrderService;
    @Autowired
    private LymsPatientService lymsPatientService;//患者
    @Autowired
    private LymsTcardService lymsTcardService;//问诊卡信息
    @Autowired
    private HXService hxService;
    @Autowired
    private PushChatInfoTask pushChatInfoTask;

    @GetMapping("test")
    @TokenRequired
    public  void test() throws Exception {
        LymsGroupOrder a=new LymsGroupOrder();
        a.setTotalPrices(465);
        lymsGroupOrderService.save(a);
        System.out.println(a);
    }

    @GetMapping("test9")
    @TokenRequired
    public  void test9() {
        pushArticleTask.pushArtcle();
    }

    @GetMapping("test0")
    @TokenRequired
    public  void test0() {
        pushArticleTaskData.pushArtcleData();
    }

    @GetMapping("test1")
    @TokenRequired
    public  void test1() {
        pushIllnessTypeData.PushIllnessTypeData();
    }
    @GetMapping("test2")
    @TokenRequired
    public  void test2() {
        pushIllnessTypeTask.PushIllnessTypeTask();
    }

    @GetMapping("test3")
    @TokenRequired
    public void test3() {
        pushChatInfoTask.pushChatInfo();
    }


//    @Autowired
//    private LymsUserService lymsUserService;
//
//    @GetMapping("lstUser")
//    @TokenRequired
//    public List<LymsUser> listUser(){
//        log.info("List user!!");
//        return lymsUserService.list();
//    }
}
