package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 小程序用户端-根据患者获取推送的文章-视图
 * @TableName getPushArt_info
 */
@TableName(value ="getPushArt_info")
@Data
public class GetpushartInfo implements Serializable {
    /**
     * 用户id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 问诊标题
     */
    @TableField(value = "title")
    private String title;

    /**
     * 文章内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 文章创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 是否已读
     */
    @TableField(value = "isread")
    private Byte isread;

    /**
     * 文章id
     */
    @TableField(value = "aid")
    private Integer aid;

    /**
     * 阅读次数
     */
    @TableField(value = "count")
    private Long count;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}