package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.domain
 * @ClassName: LymsAttention
 * @Author: lqy
 * @Description: 商品表
 * @Date: 2021-09-10 16:08
 * @Version:
 */
@TableName(value ="lyms_goods")
@Data
@ToString
public class LymsGoods extends BaseModel implements Serializable {

    /**
     *
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 价格
     */
    @TableField(value = "price")
    private int price;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 类型
     */
    @TableField(value = "type")
    private String type;


    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;


}
