package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 用户小程序搜索记录
 * @TableName lyms_searchlogs
 */
@TableName(value ="lyms_searchlogs")
@Data
public class LymsSearchlogs implements Serializable {
    /**
     * 
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 患者id
     */
    @TableField(value = "pid")
    private Integer pid;

    /**
     * 搜索关键字
     */
    @TableField(value = "searchtxt")
    private String searchtxt;

    /**
     * 搜索时间
     */
    @TableField(value = "createdtime",fill = FieldFill.INSERT)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createdtime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}