package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 *首页-日期筛选问诊量视图
 * @TableName tkRecordStat_date_info
 */
@Data
@TableName(value ="tkRecordStat_date_info")
public class TkRecordStatDateInfo implements Serializable {

  /**
   * 医院ID
   */
  @TableField(value = "hid")
  private long hid;
  /**
   * 筛选日期
   */
  @TableField(value = "days")
  private String days;
  /**
   * 问诊量
   */
  @TableField(value = "dcount")
  private long dcount;



}
