package com.lyms.talkonlineweb.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 *首页-医院问诊量排名
 * @TableName tkRecordStat_ranking_info
 */
@Data
@TableName(value ="tkRecordStat_ranking_info")
public class TkRecordStatRankingInfo implements Serializable {

  /**
   * 医院ID
   */
  @TableField(value = "hid")
  private long hid;
  /**
   * 医院名称
   */
  @TableField(value = "hname")
  private String hname;
  /**
   * 医院总问诊量
   */
  @TableField(value = "total")
  private long total;




}
