package com.lyms.talkonlineweb.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName userrole_info
 */
@TableName(value ="userrole_info")
@Data
public class UserroleInfo implements Serializable {
    /**
     * 用户标识
     */
    @TableField(value = "uid")
    private Integer uid;

    /**
     * 姓名
     */
    @TableField(value = "uname")
    private String uname;

    /**
     * 登录账号
     */
    @TableField(value = "login")
    private String login;

    /**
     * 登录密码
     */
    @TableField(value = "passwd")
    private String passwd;

    /**
     * 头像图片URL
     */
    @TableField(value = "headimg")
    private String headimg;

    /**
     * 环信id
     */
    @TableField(value = "hxid")
    private String hxid;

    /**
     * 医院ID
     */
    @TableField(value = "hid")
    private Integer hid;

    /**
     * 医院名称
     */
    @TableField(value = "hname")
    private String hname;

    /**
     * 科室ID
     */
    @TableField(value = "did")
    private Integer did;

    /**
     * 科室名称
     */
    @TableField(value = "dname")
    private String dname;

    /**
     * 电话
     */
    @TableField(value = "mobile")
    private String mobile;

    /**
     * 是否启用;1是,0否
     */
    @TableField(value = "enable")
    private Byte enable;

    /**
     * 创建人账号
     */
    @TableField(value = "creator")
    private String creator;

    /**
     * 个人简介
     */
    @TableField(value = "intro")
    private String intro;

    /**
     * 创建人
     */
    @TableField(value = "createdby")
    private Integer createdby;

    /**
     * 创建时间
     */
    @TableField(value = "createdtime")
    private Date createdtime;

    /**
     * 更新人
     */
    @TableField(value = "updatedby")
    private Integer updatedby;

    /**
     * 更新时间
     */
    @TableField(value = "updated_time")
    private Date updatedTime;

    /**
     * 角色id
     */
    @TableField(value = "rid")
    private Integer rid;

    /**
     * 角色名称
     */
    @TableField(value = "rname")
    private String rname;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}