package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsDoctor;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsDoctor
 */
public interface LymsDoctorMapper extends BaseMapper<LymsDoctor> {

    @Select({"<script>",
            "SELECT COUNT(1) dall,SUM(d.`stat`) dsum,(COUNT(1)-SUM(d.`stat`)) rcnt  FROM lyms_doctor d",
            "where 1=1",
                "<when test='hid!=null' >",
                    "and d.hid=#{hid}",
                "</when>",
                "<when test='dpid!=null' >",
                    "and d.dpid=#{dpid}",
                "</when>",
                "<when test='dname!=null' >",
                    "and d.dname like CONCAT('%',#{dname},'%') ",
                "</when>",
            "</script>"})
    Map<String, Object> statDoctor(@Param("hid") Integer hid,@Param("dpid") Integer dpid,@Param("dname") String dname);
}




