package com.lyms.talkonlineweb.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.lyms.talkonlineweb.domain.LymsPushVisitRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsPushVisitRecord
 */
@Mapper
public interface LymsPushVisitRecordMapper extends BaseMapper<LymsPushVisitRecord> {

    @Select({"<script>",
            "SELECT ",
            "lpvr.id, ",
            "lpvr.pid, ",
            "lpvr.pname, ",
            "lpvr.did, ",
            "lpvr.dname, ",
            "lpvr.iid, ",
            "lpvr.iiname, ",
            "lpvr.content, ",
            "lpvr.type, ",
            "lpvr.state, ",
            "lpvr.remark, ",
            "lpvr.createdtime, ",
            "d.hid, ",
            "d.dpid ",
            "FROM ",
            "(lyms_push_visit_record lpvr ",
            "LEFT JOIN lyms_doctor d ON (d.did = lpvr.did) ) ",
            "${ew.customSqlSegment}",
            "</script>"})
    List<Map<String, Object>> getPage(Page<Map<String, Object>> page,@Param(Constants.WRAPPER) QueryWrapper query);
}




