package com.lyms.talkonlineweb.mapper;

import com.lyms.talkonlineweb.domain.LymsUserrole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

/**
 * @Entity com.lyms.talkonlineweb.domain.LymsUserrole
 */
public interface LymsUserroleMapper extends BaseMapper<LymsUserrole> {

    @Delete("delete from lyms_userrole where uid=#{uid}")
    int delRoleByUser(@Param("uid") int uid);

    @Insert(("insert into lyms_userrole(uid,rid) values(#{uid},#{rid})"))
    int addRoleUser(@Param("uid") int uid,@Param("rid") int rid);
}




