package com.lyms.talkonlineweb.service;

import com.lyms.talkonlineweb.domain.LymsTcard;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 *
 */
public interface LymsTcardService extends IService<LymsTcard> {

    Map<String, Object> cardStat(String pSql, String cSql);

    /**
     * 查询未使用的问诊卡
     * @param lymsTcard
     * @return
     */
    List<LymsTcard> queryUnused(LymsTcard lymsTcard);

    /**
     * 查询未使用的问诊卡数量
     * @param lymsTcard
     * @return
     */
    Integer queryUnusedCount(LymsTcard lymsTcard);
}
