package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsChatgroup;
import com.lyms.talkonlineweb.service.LymsChatgroupService;
import com.lyms.talkonlineweb.mapper.LymsChatgroupMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.Wrapper;
import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsChatgroupServiceImpl extends ServiceImpl<LymsChatgroupMapper, LymsChatgroup>
    implements LymsChatgroupService{

    @Autowired
    private LymsChatgroupMapper lymsChatgroupMapper;

    @Override
    public List<Map<String, Object>> getPinfoBySesson(String froms, String did,String groupid) {
        return lymsChatgroupMapper.getPinfoBySesson(froms,did,groupid);
    }

    @Override
    public List<Map<String, Object>> getDoctorPatient(Page<Map<String,Object>> page, QueryWrapper queryWrapper) {
        return lymsChatgroupMapper.getDoctorPatient(page, queryWrapper);
    }
}




