package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsPatient;
import com.lyms.talkonlineweb.domain.LymsPatientAttention;
import com.lyms.talkonlineweb.service.LymsPatientAttentionService;
import com.lyms.talkonlineweb.mapper.LymsPatientAttentionMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsPatientAttentionServiceImpl extends ServiceImpl<LymsPatientAttentionMapper, LymsPatientAttention>
    implements LymsPatientAttentionService{
    @Autowired
    LymsPatientAttentionMapper lymsPatientAttentionMapper;
    @Override
    public List<Map> getPatientList(QueryWrapper<LymsPatientAttention> queryWrapper) {
        return lymsPatientAttentionMapper.getPatientList(queryWrapper);
    }
}




