package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsPushVisitRecord;
import com.lyms.talkonlineweb.service.LymsPushVisitRecordService;
import com.lyms.talkonlineweb.mapper.LymsPushVisitRecordMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 *
 */
@Service
public class LymsPushVisitRecordServiceImpl extends ServiceImpl<LymsPushVisitRecordMapper, LymsPushVisitRecord>
    implements LymsPushVisitRecordService{
    @Autowired
    private LymsPushVisitRecordMapper lymsPushVisitRecordMapper;

    @Override
    public List<Map<String, Object>> getPage(Page<Map<String, Object>> page, QueryWrapper query) {
        return lymsPushVisitRecordMapper.getPage(page,query);
    }
}




