package com.lyms.talkonlineweb.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lyms.talkonlineweb.domain.LymsUserrole;
import com.lyms.talkonlineweb.service.LymsUserroleService;
import com.lyms.talkonlineweb.mapper.LymsUserroleMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 *
 */
@Service
public class LymsUserroleServiceImpl extends ServiceImpl<LymsUserroleMapper, LymsUserrole>
    implements LymsUserroleService{

    @Autowired
    private LymsUserroleMapper lymsUserroleMapper;

    @Override
    public int delRoleByUser(int uid) {
        return lymsUserroleMapper.delRoleByUser(uid);
    }

    @Override
    public int addRoleUser(int uid, int rid) {
        return lymsUserroleMapper.addRoleUser(uid,rid);
    }
}




