package com.lyms.talkonlineweb.service.impl;

import com.lyms.talkonlineweb.domain.*;
import com.lyms.talkonlineweb.mapper.TkRecordStatMapper;
import com.lyms.talkonlineweb.service.TkRecordStatService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Log4j2
public class TkRecordStatServiceImpl implements TkRecordStatService {

    @Autowired
    private TkRecordStatMapper tkRecordStatMapper;


    @Override
    public List<TkRecordStatHInfo> getTkRecordStatH(Integer hid) {
       return tkRecordStatMapper.getTkRecordStatH(hid);
    }

    @Override
    public List<TkRecordStatWInfo> getTkRecordStatW(Integer hid) {
        return tkRecordStatMapper.getTkRecordStatW(hid);
    }

    @Override
    public List<TkRecordStatMInfo> getTkRecordStatM(Integer hid) {
        return tkRecordStatMapper.getTkRecordStatM(hid);
    }

    @Override
    public List<TkRecordStatYInfo> getTkRecordStatY(Integer hid) {
        return tkRecordStatMapper.getTkRecordStatY(hid);
    }

    @Override
    public List<TkRecordStatDateInfo> getTkRecordStatDate(String startdate, String enddate, Integer hid) {
        return tkRecordStatMapper.getTkRecordStatDate(startdate, enddate, hid);
    }

    @Override
    public List<TkRecordStatRankingInfo> getTkRecordStatRanking() {
        return tkRecordStatMapper.getTkRecordStatRanking();
    }

    @Override
    public List<LogsRecordVisitsInfo> getLogsRecordVisits(String startdate,String enddate) {
        return tkRecordStatMapper.getLogsRecordVisits(startdate, enddate);
    }

    @Override
    public List<LogsRecordVisitsInfo> getLogsRecordRecord(String startdate, String enddate, Integer hid) {
        return tkRecordStatMapper.getLogsRecordRecord(startdate, enddate, hid);
    }
}
