package com.lyms.talkonlineweb.util;

import java.util.Random;

/**
 * @ProjectName: talkonline
 * @Package: com.lyms.talkonlineweb.util
 * @ClassName: NumberUtil
 * @Author: lqy
 * @Description: 返回指定长度的随机数字字符串
 * @Date: 2021-09-11 11:29
 * @Version:
 */

public class NumberUtil {

    private static final String RANDSTRING = "0123456789";
    /**
     * 获取随机的字符
     */
    public static String getRandomString(int length){
        StringBuilder builder = new StringBuilder(length);
        Random random = new Random();
        for(int i=0;i<length;i++){
            builder.append(RANDSTRING.charAt(random.nextInt(RANDSTRING.length())));
        }
        return builder.toString();
    }

}
